#!/bin/sh

set -e

socat tcp-l:6390,fork,reuseaddr tcp:127.0.0.1:6379 &

for py in $(py3versions -i)
do
   echo "[*] testing on $py:"
   $py -Wd -m pytest -k 'not test_pubsub_commands.py and not test_hypothesis.py and not test_json.py and not test_json_arr_commands.py and not test_scripting.py and not test_smismember_wrong_type and not test_no_script_error and not test_pubsub_shardnumsub' 2>&1
done

killall socat || true
